package cn.iocoder.yudao.module.bpm.framework.flowable.core.storage;

import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;
import org.springframework.web.context.WebApplicationContext;

/**
 * @Author: jinyd
 * @CreateTime: 2025/1/20  15:40
 * @Description:
 * @Version: 4.0
 */

@Component
@Scope(value = "request", proxyMode = ScopedProxyMode.TARGET_CLASS)
public class RequestScopedStorage {

    Boolean startNodeFlag;

    Boolean firstFlag = Boolean.TRUE;

    int requestSort = 0;

    public void setStartNodeFlag(Boolean startNodeFlag) {
        this.startNodeFlag = startNodeFlag;
    }

    public Boolean getStartNodeFlag() {
        return startNodeFlag;
    }

    public void setFirstFlag(Boolean firstFlag) {
        this.firstFlag = firstFlag;
    }

    public Boolean getFirstFlag() {
        return firstFlag;
    }

    public void setRequestSort(int requestSort) {
        this.requestSort = requestSort;
    }

    public int getRequestSort() {
        return requestSort;
    }

}
